## Installation
Dependencies: python 3.8, `setup.py`, and (if using gpu) cuda 10.2 capable gpus

For example, if using anaconda, create an environment and install the package:
```
conda create --name hardordiff python=3.8
conda activate hardordiff
pip install -e .

# Temporary: Manually install packages needed for Wilds dependency.
pip install torch-scatter -f https://pytorch-geometric.com/whl/torch-1.7.0+${CUDA}.html
pip install torch-geometric
```
where ${CUDA} and should be replaced by the specific CUDA version
(cpu, cu92, cu101, cu102, cu110) that PyTorch was installed with. To find this
version, run:
```
python -c "import torch; print(torch.version.cuda)"
```
