class Registry:
    def __init__(self):
        self.families = {}
    
    def add_family(self, name, family):
        assert name not in self.families
        self.families[name] = family
    
    def __getitem__(self, key):
        return self.families[key]
