from setuptools import setup, find_packages

setup(
    name="testbed",
    author="anon",
    description="Testbed to study distribution shift in dataset reproduction.",
    install_requires=[
		"basicdb",
		"black",
		"click",
		"ipython",
		"numpy",
		"objectstash",
		"Pillow",
		"plotly",
	    "psutil",
		"pytest",
		"requests",
		"sklearn",
		"statsmodels",
        "torch==1.7.0",
        "torchvision==0.8.0",
        "tqdm",
        "numba",
        "scikit-image",
        "streamlit",
        "cnn_finetune",
        "wilds",
        "clip",
    ],
    dependency_links=[
        "git+https://github.com/openai/CLIP.git",
    ],
    python_requires=">=3.7",
)
