from .vgg import *
from .dpn import *
from .lenet import *
from .senet import *
from .pnasnet import *
from .densenet import *
from .googlenet import *
from .shufflenet import *
from .shufflenetv2 import *
from .resnet import *
from .resnext import *
from .preact_resnet import *
from .mobilenet import *
from .mobilenetv2 import *
from .efficientnet import *
from .regnet import *

names = ['VGG11', 'VGG13', 'VGG16', 'VGG19', 'DPN26', 'DPN92', 'LeNet', 'SENet18', 'PNASNetA', 'PNASNetB', 
'DenseNet121', 'DenseNet169', 'DenseNet201', 'DenseNet161', 'densenet_cifar', 'GoogLeNet', 'ShuffleNetG2', 
'ShuffleNetG3', 'ShuffleNetV2', 'ResNet18', 'ResNet34', 'ResNet50', 'ResNet101', 'ResNet152', 'ResNeXt29_2x64d', 
'ResNeXt29_4x64d', 'ResNeXt29_8x64d', 'ResNeXt29_32x4d', 'PreActResNet18', 'PreActResNet34', 'PreActResNet50', 
'PreActResNet101', 'PreActResNet152', 'MobileNet', 'MobileNetV2', 'EfficientNetB0', 'RegNetX_200MF', 
'RegNetX_400MF', 'RegNetY_400MF', 'ShuffleNetV2_0_5', 'ShuffleNetV2_1', 'ShuffleNetV2_1_5', 'ShuffleNetV2_2']
