import traceback

import tqdm

import testbed
from testbed.mldb import get_default_mldb as get_mldb


mldb = get_mldb()
evals = mldb.get_evaluations()

for cur_eval in tqdm.tqdm(evals):
    try:
        cur_eval.get_statistic('wilds_metrics')
    except testbed.evaluation.InapplicableStatisticError:
        pass
    except:
        traceback.print_exc()
